← Back to Dashboard

Documentation

Integrate standard-setting upscaling into your app.

Authentication

All API requests require your secret API key in the header.

Authorization: Bearer sk_live_123...

Enhance Image

POSThttps://platform.lightboxlabs.org/api/enhance

Body Parameters

  • imageUrlRequired

    Public HTTP URL of the image you want to upscale. Supports PNG, JPG, WEBP.

  • scaleOptional

    Number between 1-4. Factor to upscale by. Default is 2.

  • modeOptional

    Either "universal" (fidelity) or "face" (generative).

curl -X POST https://platform.lightboxlabs.org/api/enhance \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "imageUrl": "https://example.com/photo.jpg",
    "scale": 2,
    "mode": "face"
  }'

Response

The API is asynchronous. You will receive a Job ID immediately.

{
  "success": true,
  "jobId": "8x9s0f...",
  "status": "queued"
}